# Class Configuration#getCurrentTime

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getCurrentTime(successCallback, errorCallback) Gets current time.

## Class Detail

Configuration#getCurrentTime(successCallback, errorCallback)
Gets current time.

    // Javascript code
    function getCurrentTime () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getCurrentTime(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0, 1.3 returns.ntp
Returns:
  {Object}

  Property | Type | Description | Required
  --- | --- | --- | ---
  year | Number | year (2000~2037) | required
  month | Number | month (1~12) | required
  day | Number | day (1~31) | required
  hour | Number | hour (0~23) | required
  minute | Number | minute (0~59) | required
  sec | Number | sec (0~59) | required
  ntp | Boolean | NTP(Network Time Protocol) is enabled. true : enabled / false : disabled (default) | optional

See:
  Configuration.setCurrentTime()